{
  "crawlerFilters": {},
  "additionalFields": {
    "organization": {
      "title": {
        "displayName": "Travis CI Repository"
      },
      "type": "stringNotAnalyzed"
    },
    "repo": {
      "title": {
        "displayName": "Travis CI Repository"
      },
      "type": "stringNotAnalyzed"
    }
  },
  "externalUrls": {
    "BUILD": {
      "url": "${dataSource.baseUiUrl}/${entity.urlParts.repository}/${entity.urlParts.type}/${entity.urlParts.id}"
    },
    "BUILD_TEMPLATE": {
      "url": "${dataSource.baseUiUrl}/${entity.urlParts.repository}/${entity.urlParts.type}/${entity.urlParts.id}"
    }
  },
  "entityNames": {
    "BUILD": {
      "displayName": "Travis CI Build"
    },
    "BUILD_TEMPLATE": {
      "displayName": "Travis CI Project"
    }
  },
  "relations": {
    "job": {
      "type": "precise",
      "requireSameDataSource": true,
      "requireSamePluginId": false,
      "requireSameType": false,
      "requireSameDomain": false,
      "requiredTimeRange": null,
      "from": {
        "requireMe": true,
        "types": [
          "BUILD"
        ],
        "pluginIds": null
      },
      "to": {
        "requireMe": true,
        "types": [
          "BUILD_TEMPLATE"
        ],
        "pluginIds": null
      },
      "relationType": "buildTemplate",
      "fromField": "other.relations.jobId",
      "toField": "id"
    },
    "upstream": {
      "type": "precise",
      "requireSameDataSource": false,
      "requireSamePluginId": false,
      "requireSameType": false,
      "requireSameDomain": false,
      "requiredTimeRange": null,
      "from": {
        "requireMe": true,
        "types": [
          "BUILD"
        ],
        "pluginIds": null
      },
      "to": {
        "requireMe": true,
        "types": [
          "BUILD"
        ],
        "pluginIds": null
      },
      "relationType": "upstreamBuild",
      "fromField": "other.relations.upstreamBuildWith2Timestamps",
      "toField": "id"
    }
  },
  "plugin": {
    "id": "TravisPlugin",
    "name": "Travis",
    "version": "1"
  },
  "manifestVersion": 1,
  "validDataTypes": [
    "BUILD",
    "BUILD_TEMPLATE"
  ]
}